%global dlrn_nvr 11.5.0-1.20220331172929.f716ef5
%global dlrn 1
%define upstream_version 11.5.0
# add guard for OSP packages not carried
%global rhosp 1
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           puppet-tripleo
Version: 11.5.0
Release: 1.20220331172929.f716ef5%{?dist}
Summary:        TripleO Puppet Module
License:        ASL 2.0

URL:            https://github.com/openstack/puppet-tripleo

Source0: 11.5.0-1.20220331172929.f716ef5.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=f716ef5a85bdcf20bcda9ae976cecf51faa0ac58
Patch0001: 0001-Support-for-PowerStore-Cinder-Backend.patch
Patch0002: 0002-Fixing-incorrect-parameter-names-in-Dell-EMC-Storage.patch
Patch0003: 0003-Add-changes-for-collectd-libpod-stats-plugin.patch
Patch0004: 0004-Support-for-PowerFlex-Cinder-Backend.patch
Patch0005: 0005-Make-ceph_dashboard-haproxy-config-parametric.patch
Patch0006: 0006-Puppet-config-options-for-AMQP1-sensubility-transpor.patch
Patch0007: 0007-Include-ovs_driver-and-sriov_driver-classes-in-base-.patch
Patch0008: 0008-Make-sure-qemu-CA-has-correct-permissions.patch
Patch0009: 0009-Defauts-mariadb-s-innodb_strict_mode-to-OFF.patch
Patch0010: 0010-Filter-haproxy_certificate_specs-if-hostname-is-empt.patch
Patch0011: 0011-Adding-key_size-option-on-the-certmonger_certificate.patch
Patch0012: 0012-Always-update-the-local-certmonger-ca-cert.patch
Patch0013: 0013-Add-monitor-interval-for-ovn-dbs.patch
Patch0014: 0014-Fix-novavnc-haproxy-network.patch
Patch0015: 0015-Automatically-set-memcache_servers-for-keystone-cach.patch
Patch0016: 0016-Set-ovn_chassis_mac_map-in-ovn-controller.patch
Patch0017: 0017-Adding-nova-network-neutron-to-nova-conductor.patch
Patch0018: 0018-HA-inject-public-certificates-without-blocking-conta.patch
Patch0019: 0019-Create-SSL-certificates-from-sslProfiles.patch
Patch0020: 0020-Add-option-to-set-rsyslog-reopenOnTruncate-parameter.patch
Patch0021: 0021-Set-authtoken-memcached_servers-in-undercloud-servic.patch
Patch0022: 0022-DOWNSTREAM-ONLY-Rework-injection-of-public-cert.patch
Patch0023: 0023-Cinder-Dell-EMC-PowerMax-Fix-typo-in-hash-key.patch
Patch0024: 0024-Fix-typo-in-SSL-file-resource.patch
Patch0025: 0025-Increase-connection-timeouts-for-Redis.patch

BuildArch:      noarch

Requires:       puppet-aodh >= 13.0.0
Requires:       puppet-apache
Requires:       puppet-auditd
Requires:       puppet-barbican >= 13.0.0
Requires:       puppet-cassandra
Requires:       puppet-ceilometer >= 13.0.0
Requires:       puppet-ceph
Requires:       puppet-certmonger
Requires:       puppet-cinder >= 13.0.0
Requires:       puppet-collectd
Requires:       puppet-concat
Requires:       puppet-contrail
Requires:       puppet-corosync
Requires:       puppet-datacat
Requires:       puppet-designate >= 13.0.0
Requires:       puppet-ec2api >= 13.0.0
Requires:       puppet-elasticsearch
Requires:       puppet-etcd
Requires:       puppet-fdio
Requires:       puppet-firewall
Requires:       puppet-git
Requires:       puppet-glance >= 13.0.0
Requires:       puppet-gnocchi >= 13.0.0
Requires:       puppet-haproxy
Requires:       puppet-heat >= 13.0.0
Requires:       puppet-horizon >= 13.0.0
Requires:       puppet-inifile
Requires:       puppet-ipaclient
Requires:       puppet-ironic >= 13.0.0
Requires:       puppet-java
Requires:       puppet-kafka
Requires:       puppet-keepalived
Requires:       puppet-keystone >= 13.0.0
Requires:       puppet-kibana3
Requires:       puppet-kmod
Requires:       puppet-manila >= 13.0.0
Requires:       puppet-memcached
Requires:       puppet-midonet
Requires:       puppet-mistral >= 13.0.0
Requires:       puppet-module-data
Requires:       puppet-mysql
Requires:       puppet-n1k-vsm
Requires:       puppet-neutron >= 13.0.0
Requires:       puppet-nova >= 13.0.0
Requires:       puppet-nssdb
Requires:       puppet-octavia >= 13.0.0
Requires:       puppet-opendaylight
Requires:       puppet-openstack_extras >= 13.0.0
Requires:       puppet-openstacklib >= 13.0.0
Requires:       puppet-ovn >= 13.0.0
Requires:       puppet-oslo >= 13.0.0
Requires:       puppet-pacemaker
Requires:       puppet-panko >= 13.0.0
Requires:       puppet-placement
Requires:       puppet-qdr
Requires:       puppet-rabbitmq
Requires:       puppet-redis
Requires:       puppet-remote
Requires:       puppet-rsync
Requires:       puppet-rsyslog
Requires:       puppet-sahara >= 13.0.0
Requires:       puppet-snmp
Requires:       puppet-ssh
Requires:       puppet-staging
Requires:       puppet-stdlib
Requires:       puppet-swift >= 13.0.0
Requires:       puppet-sysctl
Requires:       puppet-systemd
Requires:       puppet-timezone
Requires:       puppet-tomcat
Requires:       puppet-trove >= 13.0.0
Requires:       puppet-vcsrepo
Requires:       puppet-veritas_hyperscale
Requires:       puppet-vswitch >= 9.0.0
Requires:       puppet-xinetd
Requires:       puppet-zaqar >= 13.0.0
Requires:       puppet-zookeeper
%if 0%{?fedora}
# NOTE(bogdando): only needed for f28-based CI passing,
# remove this condition for the "else" path, once we have Centos 8.
Requires:       puppet-headless >= 5.5.6
%else
Requires:       puppet-headless >= 5.5.10
%endif
# NOTE(aschultz): needed to properly manage firewall rules.
Requires:       iptables-services
%if 0%{?fedora} || 0%{?rhel} > 7
# NOTE(aschultz): needed for rabbitmq on rhel8/fedora, see LP#1822673
# https://review.openstack.org/#/c/649170/
Requires:       glibc-langpack-en
%endif

%if 0%{rhosp} == 0
Requires:       puppet-mongodb
Requires:       puppet-congress
Requires:       puppet-etcd
Requires:       puppet-tacker
%endif


%description
Lightweight composition layer for Puppet TripleO.

%prep
%setup -q -n openstack-tripleo-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
%patch0016 -p1
%patch0017 -p1
%patch0018 -p1
%patch0019 -p1
%patch0020 -p1
%patch0021 -p1
%patch0022 -p1
%patch0023 -p1
%patch0024 -p1
%patch0025 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/tripleo/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/tripleo/



%files
%{_datadir}/openstack-puppet/modules/tripleo/


%changelog
* Thu Mar 31 2022 OSP Prod Chain <dev-null@redhat.com> 11.7.0-1.20220331172929.f716ef5
- Increase connection timeouts for Redis (rhbz#1924373)

* Tue Mar 08 2022 OSP Prod Chain <dev-null@redhat.com> 11.7.0-1.20220308133511.f716ef5
- Fix typo in SSL file resource (rhbz#1949168)

* Wed Dec 15 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.0-1.20211215173612.f716ef5
- Update patches

* Wed Dec 15 2021 Alan Bishop <abishop@redhat.com> 11.5.0-1.20211006101607
- Cinder: Dell EMC PowerMax: Fix typo in hash key (rhbz#2029608)

* Wed Oct 06 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.0-1.20211006101606.f716ef5
- [DOWNSTREAM ONLY] Rework injection of public cert (rhbz#1969461)

* Tue Aug 24 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.0-1.20210824073337.f716ef5
- Set authtoken memcached_servers in undercloud services (rhbz#1996508)

* Tue Aug 17 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.0-1.20210817133311.f716ef5
- Add option to set rsyslog reopenOnTruncate parameter for all services (rhbz#1939964)

* Tue Aug 10 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.0-1.20210810163305.f716ef5
- Create SSL certificates from sslProfiles (rhbz#1949168)

* Tue Jun 22 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.0-1.20210622133307.f716ef5
- HA: inject public certificates without blocking container (rhbz#1969461)

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 11.6.2-1.20210528135854.f716ef5
- Adding nova::network::neutron to nova-conductor (rhbz#1959627)

* Thu May 20 2021 OSP Prod Chain <dev-null@redhat.com> 11.6.2-1.20210520133323.f716ef5
- Set ovn_chassis_mac_map in ovn::controller (rhbz#1766930)

* Wed May 12 2021 OSP Prod Chain <dev-null@redhat.com> 11.6.2-1.20210512083304.f716ef5
- Automatically set memcache_servers for keystone cache (rhbz#1958588)

* Fri Apr 30 2021 OSP Prod Chain <dev-null@redhat.com> 11.6.2-1.20210430080549.f716ef5
- Fix novavnc haproxy network (rhbz#1940836)

* Mon Apr 19 2021 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Add monitor interval for ovn dbs (rhbz#1797578)

* Tue Apr 06 2021 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Always update the local certmonger ca cert (rhbz#1921691)

* Wed Mar 10 2021 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches

* Tue Jan 12 2021 Raildo Mascena de Sousa Filho <rmascena@redhat.com> 11.5.0-1.20201114030109
- Adding key_size option on the certmonger_certificate function (rhbz#1877539)

* Wed Jan 06 2021 Oliver Walsh <owalsh@redhat.com> 11.5.0-1.20201114030108
- Filter haproxy_certificate_specs if hostname is empty (rhbz#1901621)

* Tue Dec 22 2020 Michele Baldessari <michele@acksyn.org> 11.5.0-1.20201114030107
- Update patches

* Fri Dec 11 2020 Martin Schuppert <mschuppert@redhat.com> 11.5.0-1.20201114030106
- Make sure qemu CA has correct permissions (rhbz#1893113)

* Mon Dec 07 2020 Slawek Kaplonski <skaplons@redhat.com> 11.5.0-1.20201114030105
- Include ovs_driver and sriov_driver classes in base neutron profile (rhbz#1788974)

* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches

* Tue Nov 03 2020 pleimer <pleimer@redhat.com> 11.5.0-1.20200914161844
- Puppet config options for AMQP1 sensubility transport (rhbz#1859604)

* Wed Oct 28 2020 Francesco Pantano <fpantano@redhat.com> 11.5.0-1.20200914161843
- Make ceph_dashboard haproxy config parametric (rhbz#1777464 rhbz#1856999)

* Tue Oct 27 2020 Alan Bishop <abishop@redhat.com> 11.5.0-1.20200914161842
- Support for PowerFlex Cinder Backend (rhbz#1867224)

* Mon Oct 26 2020 pleimer <pfbleimer@gmail.com> 11.5.0-1.20200914161841
- Add changes for collectd libpod stats plugin (rhbz#1884704)

* Mon Sep 14 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Fixing incorrect parameter names in Dell EMC Storage Templates (rhbz#1862546 rhbz#1868620)
- Replace union to create tcp-check list for redis

* Fri Sep 04 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Fixing incorrect parameter names in Dell EMC Storage Templates (rhbz#1862546 rhbz#1868620)
- Change branch name for selinux_core puppet module

* Tue Sep 01 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Fixing incorrect parameter names in Dell EMC Storage Templates (rhbz#1862546 rhbz#1868620)
- Fix tls - zaqar wss default port

* Mon Aug 31 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches

* Mon Aug 31 2020 Pablo Caruana <pcaruana@redhat.com> 11.5.0-1.20200827073403
- Fixing incorrect parameter names in Dell EMC Storage Templates (rhbz#1862546 rhbz#1868620)
- Support for PowerStore Cinder Backend (rhbz#1862541 rhbz#1862546)

* Mon Aug 31 2020 Pablo Caruana <pcaruana@redhat.com> 11.5.0-1.20200827073402
- Finish HAProxy config for metrics_qdr (rhbz#1827024)
- Add FFU support for ceph_nfs (rhbz#1853465)
- Fix haproxy ceph dashboard condition (rhbz#1850991)

* Thu Aug 27 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- HA: ensure scaling up galera does not cause promotion errors

* Wed Aug 26 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Fix typos, extreamio and xtreamio to xtremio

* Wed Aug 19 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Make sure python3-novaclient is installed before creating fence_compute

* Tue Aug 18 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Use pcs 0.9 style authkey/remotes when doing an upgrade

* Mon Aug 10 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Add certmonger-etcd-refresh.sh script

* Thu Aug 06 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Fix up cluster_setup_extras usage

* Wed Aug 05 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Make promote timeout configurable
- Ensure post-save certmonger scripts target the right HA container

* Tue Aug 04 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Switch includes to absolute

* Fri Jul 10 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- HA: fix rabbitmq readiness check for rabbitmq-server 3.8

* Thu Jul 09 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Enable to modify params of logrotate-crond.conf

* Wed Jul 08 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Add FFU support for ceph_nfs

* Tue Jul 07 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Switch RGW HAProxy healthcheck to use special RGW healthcheck url

* Tue Jul 07 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Fix haproxy ceph dashboard condition

* Mon Jul 06 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Fix RABBITMQ_SERVER_ADDITIONAL_ERL_ARGS usage with a proper override mechanism + Make the additional_erl_args change more independent

* Mon Jun 29 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Finish HAProxy config for metrics_qdr

* Wed Jun 24 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Fix the default values for ca_file and cert_file

* Mon Jun 22 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Finish HAProxy config for metrics_qdr (rhbz#1827024)

* Mon Jun 22 2020 Francesco Pantano <fpantano@redhat.com> 11.5.0-0.20200617003421.8a4e5fd
- Make haproxy.pp honor EnableInternalTLS for rgw (rhbz#1846812)

* Tue Jun 16 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Powermax Config Fixes

* Mon Jun 15 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Make haproxy.pp honor EnableInternalTLS for rgw
- ovn-dbs-bundle: Prepare for supporting new OVN version with separarte run dirs

* Thu Jun 11 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- ovn-dbs-bundle: Prepare for supporting new OVN version with separarte run dirs (rhbz#1837235)
- Support for Dell EMC VXFlexOS Backend
- Allow override of mysql/galera open files limit

* Wed Jun 10 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- ovn-dbs-bundle: Prepare for supporting new OVN version with separarte run dirs (rhbz#1837235)

* Tue Jun 09 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Remove obsolete 'http' backend from glance configuration

* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Support for Dell EMC SC Volume Config

* Wed Jun 03 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Remove selinux relabel mount option for neutron

* Sat May 30 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Prepare 11.5.0 release

* Fri May 29 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Support for Dell EMC XtremIO Volume Config

* Thu May 28 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Ensure that the HAProxy certificate is updated

* Wed May 27 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Allow the Mistral tunnel timeout to be configurable.

* Fri May 22 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Include vendordata in nova-api and nova-metadata-api

* Fri May 22 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- [stable only] Fix duplicated test case for nova::api

* Fri May 15 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Only run the VIP creation code when enable_load_balancer is set to true

* Wed May 13 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Fix etcd's support for internal TLS

* Thu May 07 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Remove duplicate entry of collectd-python package
- Use ctlplane for internal QDR communication

* Thu May 07 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- CephRgw healthcheck aligned with ceph-ansible

* Mon Apr 20 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Do not manage pv/vg for cinder iscsi backend
- Hardcode openidc_cache_type parameter for keystone federation with OpenIdc

* Sat Apr 18 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Log stdout of HA containers
- Make the bundle user configurable via hiera
- Enable deployment with external loadbalancers

* Fri Apr 17 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Add Octavia OVN Provider configuration (2 of 2)

* Tue Apr 14 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches

* Tue Apr 14 2020 Flavio Fernandes <flaviof@redhat.com> 11.4.1-0.20200413091724.5d41a09
- Add Octavia OVN Provider configuration (2 of 2) (rhbz#1823848)

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Support for PowerMax Volume Config

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches

* Mon Apr 06 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Support for mariadb's ed25519 authentication

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Add Octavia OVN Provider configuration (1 of 2)

* Wed Apr 01 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Use memcached for token caching in designate authtoken

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Add heat::cache to heat profile

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Make all mysql root users managed during stack creation/update

* Fri Mar 27 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Handle ipv6 addresses in etcd and cinder's backend_url

* Thu Mar 26 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- pacemaker-remote is broken on CentOS/RHEL < 8

* Sat Mar 21 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Fix grafana haproxy frontend ip variable

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Add Certmonger ceph_rgw class to config tls

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Make sure we create stonith resources before stonith levels
- Revert "Remove neutron wrappers"

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Add ceph dashboard frontend endpoint and tls-e integration

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Enforce firewall rules before pacemaker-auth
- Enable sudo rule creation

* Sat Feb 29 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Add support for glance multistore

* Tue Feb 18 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- keystone: add a new parameter 'keystone_resources_managed'
- Remove neutron wrappers

* Wed Feb 12 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Add keystone_resources_managed option to the cinder api class

* Tue Feb 11 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Don't use defined
- Make pipeline config more flexible

* Wed Feb 05 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Remove side-car containers in Create status

* Tue Feb 04 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Fix typo in remote pcsd_bind_addr

* Fri Jan 31 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches

* Fri Jan 31 2020 Martin Mágr <mmagr@redhat.com> 11.4.0-0.20200131.09fa984
- [PATCH] Use ctlplane for internal QDR communication (rhbz#1769868)

* Tue Jan 28 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Change the name of the HAProxy service to reflict the new name

* Wed Jan 22 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Merge "Remove unused manila_share_nodes_count variable" into stable/train
- Remove unused manila_share_nodes_count variable

* Wed Jan 22 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Merge "Add short node name override support to manila" into stable/train
- Merge "Make rsyslog file_input bulletproof" into stable/train
- Make rsyslog file_input bulletproof
- Add short node name override support to manila

* Tue Jan 21 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Merge "HA: Honour all hiera override variables in mysql_bundle" into stable/train
- HA: Honour all hiera override variables in mysql_bundle

* Sat Jan 18 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Merge "Add support to configure pcsd bind address" into stable/train
- Add support to configure pcsd bind address

* Fri Jan 17 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Make rsyslog file_input bulletproof (rhbz#1623152)

* Tue Jan 14 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Enable metrics qdr to use public VIP

* Fri Jan 10 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Allow mysql haproxy stanza do be customized

* Tue Jan 07 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Merge "Fix typo in sslProfile conditional" into stable/train
- Merge "Avoid failing on rsyslog" into stable/train
- Change parameter to 'coordination_uri'
- Avoid failing on rsyslog
- Fix typo in sslProfile conditional

* Mon Jan 06 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Fix typo in sslProfile conditional (rhbz#1769868)

* Thu Jan 02 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Add octavia::nova to Octavia services" into stable/train
- Make sure neutron [placement] config section is set
- Add octavia::nova to Octavia services

* Thu Dec 19 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- bump metadata for new train version

* Wed Dec 11 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Revert "Replace hiera('service_names') by hiera('enabled_services')"

* Wed Dec 11 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Avoid failing on rsyslog (rhbz#1777235)
- Revert "Replace hiera('service_names') by hiera('enabled_services')" (rhbz#1780267)
- Updating pinned versions

* Sun Dec 08 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Revert "Replace hiera('service_names') by hiera('enabled_services')" (rhbz#1780267)
- Merge "Synchronize connection configuration for metrics" into stable/train
- Synchronize connection configuration for metrics

* Thu Dec 05 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Revert "Replace hiera('service_names') by hiera('enabled_services')" (rhbz#1780267)
- Merge "Fill sslProfile only when it is defined" into stable/train
- Fill sslProfile only when it is defined

* Thu Dec 05 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Fix grafana listener options to allow affinity" into stable/train
- Fix grafana listener options to allow affinity

* Wed Dec 04 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- ovn_dbs override support

* Wed Dec 04 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches

* Wed Dec 04 2019 Martin Mágr <mmagr@redhat.com> 11.3.1-0.20191129120351.602547e
- [PATCH] Fill sslProfile only when it is defined (rhbz#1769868)
- [PATCH] Synchronize connection configuration for metrics (rhbz#1769868)

* Fri Nov 29 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Explicitly convert stonith_level fact to int

* Tue Nov 26 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Check for crm_node presence before collecting fact

* Mon Nov 25 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Improve stonith leves idempotency.

* Fri Nov 22 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Switch HA containers to k8s-file log-driver and make it a parameter

* Thu Nov 21 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Add configurable monitor timeouts for ovn dbs" into stable/train
- Add configurable monitor timeouts for ovn dbs

* Wed Nov 20 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Ceph Grafana should not be exposed by HAProxy as a public service

* Thu Oct 31 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Fix upper case checks for SRIOV interface

* Mon Oct 28 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Include ::nova::pci to nova api profile" into stable/train
- Include ::nova::pci to nova api profile

* Sat Oct 26 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Update TOX/UPPER_CONSTRAINTS_FILE for stable/train" into stable/train
- Merge "Update .gitreview for stable/train" into stable/train
- Update TOX/UPPER_CONSTRAINTS_FILE for stable/train
- Update .gitreview for stable/train

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Only configure libvirt-guests if enabled

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches

* Sat Oct 19 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare RC + stable/train

* Wed Oct 16 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Revert "Add support to configure token caching in keystone""
- Revert "Add support to configure token caching in keystone"

* Tue Oct 15 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Allow the IHA OCF and fencing resource to be moved to the nova service user"
- Allow the IHA OCF and fencing resource to be moved to the nova service user

* Tue Oct 15 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "pacemaker: add support for Hash vs List in container environment"
- Deep merge hiera keys for mysqld_options
- pacemaker: add support for Hash vs List in container environment

* Mon Oct 14 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Remove Tacker service"
- Merge "Workaround for /etc/pki/CA/certs/vnc.crt not present"
- Workaround for /etc/pki/CA/certs/vnc.crt not present
- Remove Tacker service

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add support to configure token caching in keystone"
- Merge "Configuration changes to support Qdr-mesh topology."
- Configuration changes to support Qdr-mesh topology.
- Add support to configure token caching in keystone

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix missing PXE directories for Conductor"
- Fix missing PXE directories for Conductor
- remove tripleo-ci-centos-7-scenario010-multinode-oooq-container

